Package ghidra.framework.main.datatree

# Class FindCheckoutsDialog

java.lang.Object
docking.DialogComponentProvider
ghidra.framework.main.datatree.FindCheckoutsDialog

All Implemented Interfaces:
  `ActionContextProvider`, `StatusListener`, `TaskListener`

public class FindCheckoutsDialog extends DialogComponentProvider
Dialog that shows all checkouts in a specific folder and all of its subfolders.

- ## Field Summary

  ### Fields inherited from class docking.DialogComponentProvider

  `applyButton, buttonPanel, cancelButton, dismissButton, okButton, rootPanel`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindCheckoutsDialog(Plugin plugin, DomainFolder folder)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `ActionContext`
  `getActionContext(MouseEvent event)`
  An optional extension point for subclasses to provider action context for the actions used by this provider.

  ### Methods inherited from class docking.DialogComponentProvider

  `addAction, addApplyButton, addButton, addCancelButton, addDismissButton, addOKButton, addWorkPanel, alertMessage, alertMessage, applyCallback, cancelCallback, cancelCurrentTask, clearScheduledTask, clearStatusText, closeDialog, dialogClosed, dialogShown, dismissCallback, dispose, doInitialize, escapeCallback, executeProgressTask, getActions, getBackground, getBounds, getComponent, getDefaultButton, getDefaultSize, getDialogSize, getFocusComponent, getGlassPane, getHelpLocation, getId, getInitialLocation, getLocationOnScreen, getParent, getPreferredSize, getRememberLocation, getRememberSize, getStatusColor, getStatusLabel, getStatusText, getTaskMonitorComponent, getTaskScheduler, getTitle, getUseSharedLocation, hideTaskMonitorComponent, isApplyEnabled, isCancelEnabled, isModal, isOKEnabled, isResizeable, isRunningTask, isShowing, isTransient, isVisible, notifyContextChanged, okCallback, removeAction, removeButton, removeWorkPanel, repack, setApplyEnabled, setApplyToolTip, setBackground, setCancelButtonText, setCancelEnabled, setCancelToolTip, setCursor, setDefaultButton, setDefaultSize, setDialogSize, setDismissToolTip, setFocusComponent, setGlassPane, setHelpLocation, setInitialLocation, setMinimumSize, setMinimumSize, setOkButtonText, setOkEnabled, setOkToolTip, setPreferredSize, setRememberLocation, setRememberSize, setResizable, setStatusJustification, setStatusText, setStatusText, setStatusText, setTitle, setTransient, setUseSharedLocation, showProgressBar, showTaskMonitorComponent, stopProgressTimer, taskCancelled, taskCompleted, toFront, toString, waitForCurrentTask`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindCheckoutsDialog

    public FindCheckoutsDialog(Plugin plugin, DomainFolder folder)

- ## Method Details

  - ### close

    public void close()
    Overrides:
      `close` in class `DialogComponentProvider`

  - ### getActionContext

    public ActionContext getActionContext(MouseEvent event)
    Description copied from class: `DialogComponentProvider`
    An optional extension point for subclasses to provider action context for the actions used by this provider.
    Specified by:
      `getActionContext` in interface `ActionContextProvider`
    Overrides:
      `getActionContext` in class `DialogComponentProvider`
    Parameters:
      `event` - The mouse event used (may be null) to generate a popup menu